define(function(){
    //Network file system built on top of NetOS
    var NetFS = function( options ){
        if (!(this instanceof NetFS)){
            return new NetFS(options);
        }
        
        var netOS = options.netOS;
        var netFS = this;
        
        if (!netOS){
            throw new Error("NetOS required to run on NetFS");
        }
        
        netFS__defineGetter__('netOS', function(){
            return netOS;
        });
       
        //Listen for all File System events.
        netOS.on('nfs.rename', function( path1, path2 ){
            
            });
        netOS.on('nfs.stat', function( path ){
            
            });
        netOS.on('nfs.rmdir', function( path ){
            
            });
        netOS.on('nfs.mkdir', function( path, mode ){
            
            });
        netOS.on('nfs.readdir', function( path ){
            
            });
        netOS.on('nfs.readFile', function( path ){
            
        });
        netOS.on('nfs.writeFile', function( path, host ){
            
            });
        netOS.on('nfs.unlink', function(){
            
            });
    };
    NetFS.prototype = {
        rename: function(path1, path2, callback){},
        stat: function(path, callback){},
        rmdir: function(path, callback){},
        mkdir: function(path, mode, callback){},
        readdir: function(path, callback){},
        readFile: function(path, callback){},
        writeFile: function(filename, data, encodeing, callback){},
        unlink: function(){}
    };
    
    return NFS;
});

